import crafttweaker.api.item.IItemStack;
import crafttweaker.api.ingredient.IIngredient;
import crafttweaker.api.data.IData;

function addSimpleSAGMill(uniqueID as string, itemIn as IIngredient, itemOut as IItemStack, powerRequired as int) as void {
	<recipetype:enderio:sagmilling>.addJsonRecipe("ck_sagmilling_" + uniqueID, {
		"type": "enderio:sagmilling",
		"energy": powerRequired,
		"input": itemIn as IData,
		"outputs": [itemOut as IData]
	});
}

addSimpleSAGMill("copper_ingot_to_dust", <tag:items:forge:ingots/copper>, <item:enderio:powdered_copper>, 2400);
addSimpleSAGMill("silver_ingot_to_dust", <tag:items:forge:ingots/silver>, <item:occultism:silver_dust>, 2400);
addSimpleSAGMill("osmium_ingot_to_dust", <tag:items:forge:ingots/osmium>, <item:mekanism:dust_osmium>, 2400);
addSimpleSAGMill("certus_quartz_to_dust", <tag:items:ae2:all_certus_quartz>, <item:ae2:certus_quartz_dust>, 2400);